import 'package:satu/core/redux/actions/setting_actions.dart';
import 'package:satu/core/redux/state/setting_state.dart';

SettingState settingReducer(
    SettingState prevState, SetSettingStateAction action) {
  final SettingState payload = action.settingState;
  return prevState.copyWith(printer: payload.printer);
}
